!     Last change:  KB    8 May 2013    3:16 pm
Subroutine sub_CalcDiffDD(jak,jdd,jgrid)
   !---------------------------------------------------------------------------------------
   !     Berechnet die Differenz der aktuellen Windrichtung zu derjenigen des letzten Sektors.
   !---------------------------------------------------------------------------------------
   !
   USE mo_global
   !
   IMPLICIT NONE
   !
   INTEGER        :: jak ,jdd ,jgrid ,jjDD ,ji ,jj ,jk
   REAL           :: adelta ,adeltaHW
   !
   do ji=lowb(1)+1,hghb(1)
   do jj=lowb(2)+1,hghb(2)
   do jk=lowb(3)+1,hghb(3)
      !
      if ( dd(ji,jj,jk) < 0. ) then
         lstetig(ji,jj,jk) = .false.
         CYCLE
      endif
      !
      adelta = dd(ji,jj,jk) - ddm1(ji,jj,jk)
      if ( adelta < 0. ) adelta = adelta + 360.
      !
      adeltaHW = ddH - ddHm1
      if ( adeltaHW < 0. ) adeltaHW = adeltaHW + 360.
      !
      dddact(ji,jj,jk) = adelta - adeltaHW
      !
      if ( .not. lstetig(ji,jj,jk) ) CYCLE
      !
      if ( adelta > 180. ) then
         lstetig(ji,jj,jk) = .false.
         CYCLE
      !
      else
         dddelta(ji,jj,jk) = dddelta(ji,jj,jk) + ABS(dddact(ji,jj,jk))
      end if
   end do
   end do
   end do
   !
   ddm1  = dd
   ddHm1 = ddH
   !
END Subroutine
